Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.audit
Class SessionEvent

    java.lang.Object
      org.jivesoftware.openfire.audit.AuditEvent
          org.jivesoftware.openfire.audit.SessionEvent

    public class SessionEvent

extends AuditEvent

Events that occur during the session life cycle are repreented by SessionEvents.

Author:
  Iain Shigeoka

Field Summary
`static int` | `SESSION_AUTH_FAILURE`
`static int` | `SESSION_AUTH_SUCCESS`
`static int` | `SESSION_CODE` Session events use the code 1
`static int` | `SESSION_CONNECT`
`static int` | `SESSION_DISCONNECT`
`static int` | `SESSION_STREAM`

Fields inherited from class org.jivesoftware.openfire.audit.AuditEvent
`USER_CODES`

Method Summary
`static SessionEvent` | `createAuthFailureEvent(Session session, String user, String resource)` Create an event associated with the failure of a session to authenticate.
`static SessionEvent` | `createAuthSuccessEvent(Session session)` Create an event associated with a successful authentication.
`static SessionEvent` | `createConnectEvent(Session session)` Create an event associated with the initial connection of a session before the stream is created.
`static SessionEvent` | `createDisconnectEvent(Session session)` Create an event associated with the closing of a session.
`static SessionEvent` | `createStreamEvent(Session session)` Create an event associated with the establishment of an XMPP session.

Methods inherited from class org.jivesoftware.openfire.audit.AuditEvent
`getCode, getData, getReason, getSession, getTimestamp, setCode, setData, setReason, setSession, setTimestamp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SESSION_CODE

    public static final int SESSION_CODE

  Session events use the code 1

  See Also:
    Constant Field Values

### SESSION_CONNECT

    public static final int SESSION_CONNECT

See Also:
  Constant Field Values

### SESSION_STREAM

    public static final int SESSION_STREAM

See Also:
  Constant Field Values

### SESSION_AUTH_FAILURE

    public static final int SESSION_AUTH_FAILURE

See Also:
  Constant Field Values

### SESSION_AUTH_SUCCESS

    public static final int SESSION_AUTH_SUCCESS

See Also:
  Constant Field Values

### SESSION_DISCONNECT

    public static final int SESSION_DISCONNECT

See Also:
  Constant Field Values

Method Detail

### createConnectEvent

    public static SessionEvent createConnectEvent(Session session)

  Create an event associated with the initial connection of a session before the stream is created.

  Parameters:
    `session` - the session that was connected.
  Returns:
    an event representing the connection event.

### createStreamEvent

    public static SessionEvent createStreamEvent(Session session)

  Create an event associated with the establishment of an XMPP session. A connect event that is not followed by a stream event indicates the connection was rejected.

  Parameters:
    `session` - the session that began streaming.
  Returns:
    an event representing the connection event.

### createAuthFailureEvent

    public static SessionEvent createAuthFailureEvent(Session session,
                                                      String user,
                                                      String resource)

  Create an event associated with the failure of a session to authenticate.

  Parameters:
    `session` - the session that made the attempt
    `user` - the user that made the attempt
    `resource` - the resource used for the attempt
  Returns:
    an event representing the connection event

### createAuthSuccessEvent

    public static SessionEvent createAuthSuccessEvent(Session session)

  Create an event associated with a successful authentication.

  Parameters:
    `session` - the session that authenticated.
  Returns:
    an event representing the connection event.

### createDisconnectEvent

    public static SessionEvent createDisconnectEvent(Session session)

  Create an event associated with the closing of a session.

  Parameters:
    `session` - the session that was disconnected.
  Returns:
    an event representing the connection event.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.